package com.muyu.quest.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author: 胡杨
 * @ Tool：IntelliJ IDEA
 * @ Author: 胡杨
 * @ Date：2024-08-23-9:41
 * @ Version：1.0
 * @ Description：数据转换对象
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class DataModel {
    /**
     * 键
     */
    private String key;
    /**
     * 标签
     */
    private String label;
    /**
     * 类型
     */
    private String type;
    /**
     * 值
     */
    private Object value;


}
