package com.muyu.quest;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * @Author: 胡杨
 * @Name: MyTask
 * @Description: 任务模块启动器
 * @CreatedDate: 2024/8/22 下午6:23
 * @FilePath: com.muyu.quest
 */

@EnableCustomConfig
//@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class MyTaskApplication {
    public static void main(String[] args) {
        try {
            SpringApplication.run(MyTaskApplication.class, args);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        System.out.println("MyTask 模块启动成功!");
    }
}
