package com.muyu.quest.exception;

/**
 * @Author: 胡杨
 * @Name: TaskException
 * @Description: 任务统一异常
 * @CreatedDate: 2024/9/1 下午4:11
 * @FilePath: com.muyu.quest.exception
 */


import org.springframework.stereotype.Component;

/**
 * @Author: 胡杨
 * @Name: TaskException
 * @Description: 任务统一异常
 * @CreatedDate: 2024/9/1 下午4:11
 * @FilePath: com.muyu.quest.exception
 */

@Component
public class TaskException extends RuntimeException {
    public TaskException() {
        super();
    }

    public TaskException(String message) {
        super(message);
    }

    public TaskException(String message, Throwable cause) {
        super(message, cause);
    }

    public TaskException(Throwable cause) {
        super(cause);
    }

    protected TaskException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
